# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CGI/Util.pm) perl(Config.pm) perl(Exporter.pm) perl(Fcntl.pm) perl(HTTP/Date.pm) perl(HTTP/Headers.pm) perl(HTTP/Headers/Util.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(IO/Handle.pm) perl(IO/Select.pm) perl(IO/Socket/INET.pm) perl(LWP/ConnCache.pm) perl(MIME/Base64.pm) perl(Socket.pm) perl(Sys/Hostname.pm) perl(Test/More.pm) perl(threads.pm) perl-devel perl-podlators
# END SourceDeps(oneline)


Name:           perl-HTTP-Proxy
Version:        0.25
Release:        alt1_4
Summary:        A pure Perl HTTP proxy

Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/HTTP-Proxy/
Source0:        http://www.cpan.org/authors/id/B/BO/BOOK/HTTP-Proxy-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(HTML/Parser.pm)
BuildRequires:  perl(HTTP/Daemon.pm) perl(LWP/UserAgent.pm) perl(Crypt/SSLeay.pm)
Source44: import.info

%description
Its main use should be to record and/or modify web sessions, so as to
help users create web robots, web testing suites, as well as proxy
systems than can transparently alter the requests to and answers from
an origin server.


%prep
%setup -q -n HTTP-Proxy-%{version}


%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build


%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
chmod -R u+w $RPM_BUILD_ROOT/*


%check
# Tests are pretty broken.
# ./Build test


%files
%doc Changes README eg/
%{perl_vendor_privlib}/HTTP/


%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1_3
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1_1
- fc import

